#[doc(hidden)]
pub use failure as _failure; // re-export for macros
#[doc(hidden)]
pub use bytes as _bytes; // re-export for macros

extern crate self as dnsbox_base;

#[macro_use]
pub mod errors;

#[cfg(feature = "crypto")]
pub mod crypto;
pub mod common_types;
pub mod ser;
pub mod packet;
pub mod records;
mod unsafe_ops;
